aboutsummaryrefslogtreecommitdiff
path: root/lint/bash.sh
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2017-10-31 22:32:49 +1300
committerTom Ryder <tom@sanctum.geek.nz>2017-10-31 22:32:49 +1300
commite7213cb7cbd3149377cf6c08dc9c3813c99743f8 (patch)
treed754980f8c170cd260ea0984cadd9e295851a0b3 /lint/bash.sh
parentUse shell name not command in check/lint messages (diff)
downloaddotfiles-e7213cb7cbd3149377cf6c08dc9c3813c99743f8.tar.gz
dotfiles-e7213cb7cbd3149377cf6c08dc9c3813c99743f8.zip
Tidy and correct linting for all three shells
Reduce each one to target only the dotfiles specifically for that shell, as opposed to previously where for example the `check-sh` target was checking shell shims in for `mpd` and `plenv`. I'm still not completely sure that's the right approach, but it's at least less conceptually muddy than what we had before. Notably, the check and lint for Korn shell includes a single POSIX shell script file in its `shrc.d` subdirectory, so that check is executed separately.
Diffstat (limited to 'lint/bash.sh')
-rw-r--r--lint/bash.sh10
1 files changed, 9 insertions, 1 deletions
diff --git a/lint/bash.sh b/lint/bash.sh
index 2fe1ba13..6457da35 100644
--- a/lint/bash.sh
+++ b/lint/bash.sh
@@ -1 +1,9 @@
-find bash -type f -print -exec shellcheck -e SC1090 -s bash -- {} +
+set \
+ bash/bash_completion \
+ bash/bash_completion.d/*.bash \
+ bash/bash_logout \
+ bash/bash_profile \
+ bash/bashrc \
+ bash/bashrc.d/*.bash
+shellcheck -e SC1090 -s bash -- "$@" || exit
+printf 'GNU Bash dotfiles linted successfully.\n'